OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class CapsdConfigFactory.LightWeightIfEntry

    java.lang.Object
      org.opennms.netmgt.config.CapsdConfigFactory.LightWeightIfEntry

Enclosing class:
  CapsdConfigFactory

private static final class CapsdConfigFactory.LightWeightIfEntry
extends java.lang.Object

LightWeightIfEntry is designed to hold specific information about an IP interface in the database such as its IP address, its parent node id, and its managed status and represents a lighter weight version of the DbIpInterfaceEntry class.

Field Summary
`(package private) static int` `LOOPBACK_IFTYPE`
`private java.lang.String` `m_address`
`private int` `m_ifIndex`
`private int` `m_ifType`
`private char` `m_managementState`
`private int` `m_nodeId`
`private boolean` `m_primaryStateChanged`
`private char` `m_snmpPrimaryState`
`(package private) static int` `NULL_IFINDEX` Represents NULL value for 'ifIndex' field in the ipInterface table
`(package private) static int` `NULL_IFTYPE`

Constructor Summary
`CapsdConfigFactory.LightWeightIfEntry(int nodeId, int ifIndex, java.lang.String address, char managementState, char snmpPrimaryState, int ifType)` Constructs a new LightWeightIfEntry object.

Method Summary
`java.lang.String` `getAddress()` Returns the IP address of the interface.
`int` `getIfIndex()` Returns the ifIndex of the interface.
`int` `getIfType()` Returns the ifType of the interface.
`char` `getManagementState()`
`int` `getNodeId()` Returns the parent node id of the interface.
`char` `getSnmpPrimaryState()`
`boolean` `hasSnmpPrimaryStateChanged()`
`void` `setSnmpPrimaryState(char state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_IFINDEX

    static final int NULL_IFINDEX

  Represents NULL value for 'ifIndex' field in the ipInterface table

  See Also:
    Constant Field Values

### NULL_IFTYPE

    static final int NULL_IFTYPE

See Also:
  Constant Field Values

### LOOPBACK_IFTYPE

    static final int LOOPBACK_IFTYPE

See Also:
  Constant Field Values

### m_nodeId

    private int m_nodeId

### m_ifIndex

    private int m_ifIndex

### m_ifType

    private int m_ifType

### m_address

    private java.lang.String m_address

### m_managementState

    private char m_managementState

### m_snmpPrimaryState

    private char m_snmpPrimaryState

### m_primaryStateChanged

    private boolean m_primaryStateChanged

Constructor Detail

### CapsdConfigFactory.LightWeightIfEntry

    public CapsdConfigFactory.LightWeightIfEntry(int nodeId,
                                                 int ifIndex,
                                                 java.lang.String address,
                                                 char managementState,
                                                 char snmpPrimaryState,
                                                 int ifType)

  Constructs a new LightWeightIfEntry object.

Parameters:
  `nodeId` - Interface's parent node id
  `ifIndex` - Interface's index
  `address` - Interface's ip address
  `managementState` - Interface's management state
  `snmpPrimaryState` - Interface's primary snmp interface state
  `ifType` - Interface's type as determined via SNMP

Method Detail

### getAddress

    public java.lang.String getAddress()

  Returns the IP address of the interface.

### getNodeId

    public int getNodeId()

  Returns the parent node id of the interface.

### getIfIndex

    public int getIfIndex()

  Returns the ifIndex of the interface.

### getIfType

    public int getIfType()

  Returns the ifType of the interface.

### getManagementState

    public char getManagementState()

### getSnmpPrimaryState

    public char getSnmpPrimaryState()

### setSnmpPrimaryState

    public void setSnmpPrimaryState(char state)

### hasSnmpPrimaryStateChanged

    public boolean hasSnmpPrimaryStateChanged()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.